Jump to content


Photo

NEJ2 Compatibility Fix Install


  • Please log in to reply
16 replies to this topic

#1 erebusant

erebusant

    It takes a village...

  • Modder
  • 2109 posts

Posted 02 July 2006 - 02:13 PM

After loading BGT-WeiDU v1.01 I loaded the NEJ2 Compatibility patch and got a warning for AR0602 which I never got previously using BGT 1.00. Debug file section follows:

[C:\Program Files\Black Isle\BGII - SoA\/data/Default.bif] 5847739 bytes, 444 files, 0 tilesets
[BOOLEAN.IDS] parsed
[SCROLL.IDS] parsed
[BGTNeJ2/compat/oAR0602.baf] parsed
[BGTNeJ2/compat/nAR0602.baf] parsed
WARNING: cannot find block matching [BGTNeJ2/compat/oAR0602.baf]
Copied [AR0602.bcs] to [override/AR0602.bcs]
Extending game scripts ...

It takes a village...


#2 melkor_morgoth75

melkor_morgoth75

    Lord

  • Modder
  • 1509 posts

Posted 02 July 2006 - 10:37 PM

Which version of NEJ have u installed?

mm75

Tired of the same boring spawned creatures u face in BG? Try BGSpawn


#3 Vlad

Vlad
  • Member
  • 577 posts

Posted 03 July 2006 - 12:01 AM

Well, it's obvious - the new version 1.01 changes the previous AR0602 script. My oAR0602 should be updated then as well.

#4 seanas

seanas
  • Modder
  • 1906 posts

Posted 03 July 2006 - 12:24 AM

yep, the existing block in AR0602 that the compatibility fix was patching has been chenged in BGTv1..01. as whether it no longer needs to be changed, cos the 1.01 incorporates the fix, or whter the fix needs to be altered, you'd either need to ask Asc64, or (a better option) check AR0602.bcs yrself.

if there's a block in AR0602.bcs that looks identical to nAR0602.baf, then yuo dont need to worry - the fix has been incorporated into BGTv1.01. if there isn't a matching block, then oAR0602.baf will have to be altered so that it matches the relevant block in AR0602.bcs, and then re-install the fix. (or rather: if there's no matching block: uninstall the fix, alter oAR0602.baf, then install the fix again).

"A simple test of the relative merits of science and religion is to compare lighting your house at night by prayer or electricity" - A. C. Grayling
"EFF files have saves, too." - CamDawg
|| this is radio seanas || BP Series v3 || seanas at work ||


#5 melkor_morgoth75

melkor_morgoth75

    Lord

  • Modder
  • 1509 posts

Posted 03 July 2006 - 03:50 AM

I'm ignorant ... can i install BGT 1.01 with NEJ compatibility fix + NEJ 6.02?

Just to know, eventually i won't install NEJ in my installation if it takes to problems ;)

mm75

Tired of the same boring spawned creatures u face in BG? Try BGSpawn


#6 seanas

seanas
  • Modder
  • 1906 posts

Posted 03 July 2006 - 05:13 AM

having taken a quick look at Setup-BGT.tp2 for the new BGTv1.01 and done a compare n contrast with the BGTNEJ Compat Fix, it looks very much like all the compatibility fixes are now included in the standard BGT install - as, to be honest, you'd expect from something coded by Asc64.

so the compat fix can be left out of yr installs from now on (unless of course Asc64 arrives and tells me i'm mis-reading the .tp2)

"A simple test of the relative merits of science and religion is to compare lighting your house at night by prayer or electricity" - A. C. Grayling
"EFF files have saves, too." - CamDawg
|| this is radio seanas || BP Series v3 || seanas at work ||


#7 Ascension64

Ascension64
  • Modder
  • 5983 posts

Posted 03 July 2006 - 08:34 AM

seanas has misread the .tp2. :D

Yes the block has changed due to the change of movie filename.

If you can find BGTNeJ2\compat\oAR0602.baf, please for now open it up with a notepad of sorts and change "INTRO15F" to "SOAINTRO".

I need to throw in Vlad's new stuff for the BGT-NeJ2 compat so that might take some time. Sorry for any inconvenience.

Edited by Ascension64, 03 July 2006 - 08:34 AM.

--------------
Retired Modder
Note: I do not respond to profile comments/personal messages in regards to troubleshooting my modifications. Please post on the public forums instead.

Baldur's Gate Trilogy-WeiDU and Mods
Throne of Bhaal Extender (TobEx)

Contributions: (NWN2) A Deathstalker (voice acting) - (IWD2) IWD2 NPC Project (soundset editing) - (Misc) SHS PC Soundsets (voice acting)
Legacy: (BG/Tutu/BGT) Beregost Crash Fixer 1.9 (18 Jul 10) - (BG2) Enable conversations with charmed/dominated creatures (18 Jul 10) - (BG2) Experience Corrections (18 Jul 10) - (Misc) Platform Conversion Utility RC2 (13 Feb 10)


#8 erebusant

erebusant

    It takes a village...

  • Modder
  • 2109 posts

Posted 03 July 2006 - 01:44 PM

seanas has misread the .tp2. :D

Yes the block has changed due to the change of movie filename.

If you can find BGTNeJ2\compat\oAR0602.baf, please for now open it up with a notepad of sorts and change "INTRO15F" to "SOAINTRO".

I need to throw in Vlad's new stuff for the BGT-NeJ2 compat so that might take some time. Sorry for any inconvenience.


There is another block error that was showing up even in the BGTv1.00 install. It was in the Firewalker Kit Install. As follows:

[BGTNeJ2/sharteel/scripts/nARAM00.baf] parsed
WARNING: cannot find block matching [BGTNeJ2/sharteel/scripts/oARAM00.baf]
[ARAM00.bcs.BCS] parsed

It takes a village...


#9 melkor_morgoth75

melkor_morgoth75

    Lord

  • Modder
  • 1509 posts

Posted 03 July 2006 - 10:03 PM

I need to throw in Vlad's new stuff for the BGT-NeJ2 compat so that might take some time. Sorry for any inconvenience.


Does it mean that actually you suggest to avoid installing NEJ + BGT? (NEJ version 6.02, not the future one ;) )

mm75

Edited by melkor_morgoth75, 03 July 2006 - 10:03 PM.

Tired of the same boring spawned creatures u face in BG? Try BGSpawn


#10 ScuD

ScuD
  • Member
  • 492 posts

Posted 04 July 2006 - 03:49 AM

I'd advice to wait for the new NEJ version as stated in http://forums.blackw...?showtopic=1923
The compatibility patch can be developed after it is out.

#11 melkor_morgoth75

melkor_morgoth75

    Lord

  • Modder
  • 1509 posts

Posted 04 July 2006 - 03:52 AM

Yep, that what i wanted to do ... anyway if i wait any mods to be updated i won't play the game ;)

Next week is the week for me to play sometime again, just wanted to know if NEJ6.42 + patch is still good with BGT ;) If not, i skip NEJ, it's not a problem, just to know to avoid problems ...

mm75

Tired of the same boring spawned creatures u face in BG? Try BGSpawn


#12 Ascension64

Ascension64
  • Modder
  • 5983 posts

Posted 04 July 2006 - 06:58 PM

There is another block error that was showing up even in the BGTv1.00 install. It was in the Firewalker Kit Install. As follows:

[BGTNeJ2/sharteel/scripts/nARAM00.baf] parsed
WARNING: cannot find block matching [BGTNeJ2/sharteel/scripts/oARAM00.baf]
[ARAM00.bcs.BCS] parsed

This one shouldn't happen, there has been no change to the block. Block errors CAN happen, however, if the BGT-NeJ2 Compatibility Mod has not been uninstalled correctly prior to a reinstallation, or if WeiDU has decided that it will be stupid.

As for using NeJ2, I recall v6.5 isn't entirely compatible with BGT-WeiDU. You can still use an older version of NeJ2, like v6.02, without any problems provided you make the change stated above. To be safe, however, since I am still not sure whether the Compatibility Mod really is a 'compatibility' fix, it might be better to avoid NeJ2 with BGT-WeiDU for now.

Edited by Ascension64, 04 July 2006 - 07:01 PM.

--------------
Retired Modder
Note: I do not respond to profile comments/personal messages in regards to troubleshooting my modifications. Please post on the public forums instead.

Baldur's Gate Trilogy-WeiDU and Mods
Throne of Bhaal Extender (TobEx)

Contributions: (NWN2) A Deathstalker (voice acting) - (IWD2) IWD2 NPC Project (soundset editing) - (Misc) SHS PC Soundsets (voice acting)
Legacy: (BG/Tutu/BGT) Beregost Crash Fixer 1.9 (18 Jul 10) - (BG2) Enable conversations with charmed/dominated creatures (18 Jul 10) - (BG2) Experience Corrections (18 Jul 10) - (Misc) Platform Conversion Utility RC2 (13 Feb 10)


#13 Chevalier

Chevalier

    Knight of the Realms

  • Modder
  • 2402 posts

Posted 04 July 2006 - 08:57 PM

To be safe, however, since I am still not sure whether the Compatibility Mod really is a 'compatibility' fix, it might be better to avoid NeJ2 with BGT-WeiDU for now.



Sorry, I can't do this. I need the 'Charming Rouge' Imoen and Boo running around the map scouting for me. :P

I Ride for the King!


a.k.a. Chev


#14 Vlad

Vlad
  • Member
  • 577 posts

Posted 04 July 2006 - 11:11 PM

I have recently installed both TS v6.06 and NeJ2 v6.7 after BGT and do not have problems so far. All the components of BGT-NeJ2 compatibility mod are incorporated into v6.7 though.

Edited by Vlad, 04 July 2006 - 11:12 PM.


#15 Ascension64

Ascension64
  • Modder
  • 5983 posts

Posted 05 July 2006 - 04:17 AM

I have recently installed both TS v6.06 and NeJ2 v6.7 after BGT and do not have problems so far. All the components of BGT-NeJ2 compatibility mod are incorporated into v6.7 though.

There will be a few compatibility issues such as Xan.

--------------
Retired Modder
Note: I do not respond to profile comments/personal messages in regards to troubleshooting my modifications. Please post on the public forums instead.

Baldur's Gate Trilogy-WeiDU and Mods
Throne of Bhaal Extender (TobEx)

Contributions: (NWN2) A Deathstalker (voice acting) - (IWD2) IWD2 NPC Project (soundset editing) - (Misc) SHS PC Soundsets (voice acting)
Legacy: (BG/Tutu/BGT) Beregost Crash Fixer 1.9 (18 Jul 10) - (BG2) Enable conversations with charmed/dominated creatures (18 Jul 10) - (BG2) Experience Corrections (18 Jul 10) - (Misc) Platform Conversion Utility RC2 (13 Feb 10)


#16 Vlad

Vlad
  • Member
  • 577 posts

Posted 05 July 2006 - 07:16 AM

It's easy to fix by renaming his CRE, DLG, script and death variable. Well, I'll work out all the related incompatibilties.

Edited by Vlad, 05 July 2006 - 07:16 AM.


#17 Ascension64

Ascension64
  • Modder
  • 5983 posts

Posted 05 July 2006 - 05:18 PM

It's easy to fix by renaming his CRE, DLG, script and death variable. Well, I'll work out all the related incompatibilties.

Well, BGT-WeiDU handles the incompatibilities if NeJ2 is installed before it. You could perhaps look at Setup-BGT.tp2 and simply work out how BGT-WeiDU provides compatibility, and copy the stuff over, rather than make renaming jobs and force the current BGT-WeiDU compatibility code to become obsolete/non-functional.

--------------
Retired Modder
Note: I do not respond to profile comments/personal messages in regards to troubleshooting my modifications. Please post on the public forums instead.

Baldur's Gate Trilogy-WeiDU and Mods
Throne of Bhaal Extender (TobEx)

Contributions: (NWN2) A Deathstalker (voice acting) - (IWD2) IWD2 NPC Project (soundset editing) - (Misc) SHS PC Soundsets (voice acting)
Legacy: (BG/Tutu/BGT) Beregost Crash Fixer 1.9 (18 Jul 10) - (BG2) Enable conversations with charmed/dominated creatures (18 Jul 10) - (BG2) Experience Corrections (18 Jul 10) - (Misc) Platform Conversion Utility RC2 (13 Feb 10)